# Exhibitor Priority Point Types Exhibitor Priority Point Types ## Gets all of the exhibitor priority point types in the system. - [GET /exhibitorPriorityPointTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-priority-point-types/listexhibitorprioritypointtypes.md): This method will scan all exhibitor priority point types and and return them to the caller. ## Creates a new exhibitor priority point type record that does not already exist. - [POST /exhibitorPriorityPointTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-priority-point-types/createexhibitorprioritypointtype.md): This method will auto-generate an ID and create a new exhibitor priority point type. If an ID is specified for the exhibitor priority point type, an error will be thrown. ## Execute Batch Operations - [POST /exhibitorPriorityPointTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-priority-point-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a exhibitor priority point type from the system by its ID. - [DELETE /exhibitorPriorityPointTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-priority-point-types/deleteexhibitorprioritypointtype.md): This method will delete a exhibitor priority point type with the specified ID. ## Returns a exhibitor priority point type from the system by its ID. - [GET /exhibitorPriorityPointTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-priority-point-types/getexhibitorprioritypointtype.md): This method will look up a exhibitor priority point type by the specified ID and return it back. ## Partially updates a exhibitor priority point type with the specified ID. - [PATCH /exhibitorPriorityPointTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-priority-point-types/patchexhibitorprioritypointtype.md): This method will patch an existing exhibitor priority point type with the specified ID, using the HTTP PATCH specification. ## Updates a exhibitor priority point type with the specified ID. - [PUT /exhibitorPriorityPointTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/events/events-v1/exhibitor-priority-point-types/updateexhibitorprioritypointtype.md): This method will update an existing exhibitor priority point type with the specified ID.